## evas 0.9.9.041-maemo.5

=== debian/changelog ===
evas (0.9.9.041-maemo.5) unstable; urgency=low

  * Update package version.

 -- Eduardo Lima (Etrunko) <eduardo.lima@indt.org.br>  Wed, 12 Dec 2007 12:55:38 -0200

evas (0.9.9.041-maemo.4) unstable; urgency=low

  * rules: Include simple-patchsys.mk
  * rules: use BUILD_DEB_OPTIONS for n770 and n8x0 variants
  * rules: use quilt instead of simple-patchsys 

 -- Ed Bartosh <bartosh@gmail.com>  Sun,  9 Dec 2007 18:43:22 +0200

evas (0.9.9.041-maemo.3) unstable; urgency=low

  * control: Added libevas0-engine-software-x11-16

 -- Eduardo Lima (Etrunko) <eduardo.lima@indt.org.br>  Fri, 07 Dec 2007 16:21:28 -0300

evas (0.9.9.041-maemo.2) unstable; urgency=low

  * rules: --disable-sdl added to configure options

 -- Ed Bartosh <bartosh@gmail.com>  Sat, 22 Sep 2007 20:13:52 +0300

evas (0.9.9.041-maemo.1) unstable; urgency=low

  * Upstream updated to 0.9.10.041

 -- Ed Bartosh <gustavo.barbieri@openbossa.org>  Sun,  9 Sep 2007 23:10:28 +0300

evas (0.9.9.040-maemo.2) unstable; urgency=low

  * Removed useless modules (engines, loaders, savers).

 -- Gustavo Sverzut Barbieri <gustavo.barbieri@openbossa.org>  Mon, 20 Aug 2007 12:23:00 -0300

evas (0.9.9.040-maemo.1) unstable; urgency=low

  * Maemo build

 -- Ed Bartosh <bartosh@gmail.com>  Sat, 18 Aug 2007 15:41:38 +0300

evas (0.9.9.040-1) unstable; urgency=low

  * a CVS snapshot release.

 -- E17 Debian Team <debian@edevelop.org>  Tue,  7 Mar 2006 13:30:15 +0000
