=== debian/control ===
Source: evas
Section: libs
Priority: optional
Maintainer: Maemo-EFL Team <maemo-efl-devel@garage.maemo.org>
Build-Depends: debhelper (>= 4.2.0), cdbs (>= 0.4.3-1.1), quilt, automake1.7 | automaken, libtool, libeet-dev, libfreetype6-dev, libpng12-dev | libpng-dev, libx11-dev | xlibs-dev, zlib1g, libjpeg62-dev, autotools-dev
Standards-Version: 3.7.2

Package: libevas0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Suggests: libevas0-engines-all
Provides: libevas
Description: enlightenment advanced canvas library
 Evas is an advanced canvas library, providing six engines for rendering: X11,
 OpenGL (hardware accelerated), DirectFB, the framebuffer, Microsoft Windows
 and Qtopia.
 .
 This new version of evas is much more cleaner, compact and portable; and has
 Ipaq support. The Ipaq version of the library is just 191Kb in size!
 .
 Due to its simple API, evas can be developed with rapidly, and cleanly.
 Install evas if you want to develop applications against the only
 hardware-accelerated canvas library, or if you want to try out the
 applications under development.

Package: libevas0-dev
Section: libdevel
Architecture: any
Depends: libevas0 (= ${Source-Version}), libfreetype6-dev, zlib1g-dev, libjpeg-dev, libeet-dev
Provides: libevas-dev
Description: enlightenment advanced canvas library development files
 This package provides headers and static libraries required to develop against
 evas.
 .
 Evas is an advanced canvas library, providing six engines for rendering: X11,
 OpenGL (hardware accelerated), DirectFB, the framebuffer, Microsoft Windows
 and Qtopia.
 .
 This new version of evas is much more cleaner, compact and portable; and has
 Ipaq support. The Ipaq version of the library is just 191Kb in size!
 .
 Due to its simple API, evas can be developed with rapidly, and cleanly.
 Install evas if you want to develop applications against the only
 hardware-accelerated canvas library, or if you want to try out the
 applications under development.

Package: libevas0-engine-software-x11
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libevas0, libevas0-engine-software-generic
Provides: libevas-engine-software-x11
Description: Evas module providing the software X11 render engine
 Evas is an advanced canvas library, providing six engines for rendering: X11,
 OpenGL (hardware accelerated), DirectFB, the framebuffer, Microsoft Windows
 and Qtopia.
 Due to its simple API, evas can be developed with rapidly, and cleanly.
 Install evas if you want to develop applications against the only
 hardware-accelerated canvas library, or if you want to try out the
 applications under development.
 This package contains the Evas engine module for software X11 rendering.

Package: libevas0-engine-software-x11-16
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libevas0, libevas0-engine-software-generic
Provides: libevas-engine-software-x11-16
Description: Evas module providing the software X11 render engine optmized for 16 bits
 Evas is an advanced canvas library, providing six engines for rendering: X11,
 OpenGL (hardware accelerated), DirectFB, the framebuffer, Microsoft Windows
 and Qtopia.
 Due to its simple API, evas can be developed with rapidly, and cleanly.
 Install evas if you want to develop applications against the only
 hardware-accelerated canvas library, or if you want to try out the
 applications under development.
 This package contains the Evas engine module for software X11 rendering optimized
 for 16 bits.

Package: libevas0-engine-software-generic
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libevas0
Provides: libevas-engine-software-generic
Description: Evas module providing the generic software render engine
 Evas is an advanced canvas library, providing six engines for rendering: X11,
 OpenGL (hardware accelerated), DirectFB, the framebuffer, Microsoft Windows
 and Qtopia.
 Due to its simple API, evas can be developed with rapidly, and cleanly.
 Install evas if you want to develop applications against the only
 hardware-accelerated canvas library, or if you want to try out the
 applications under development.
 This package contains the Evas engine module for generic software
 rendering.

Package: libevas0-engine-buffer
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libevas0, libevas0-engine-software-generic
Provides: libevas-engine-buffer
Description: Evas module providing the buffer render engine
 Evas is an advanced canvas library, providing six engines for rendering: X11,
 OpenGL (hardware accelerated), DirectFB, the framebuffer, Microsoft Windows
 and Qtopia.
 Due to its simple API, evas can be developed with rapidly, and cleanly.
 Install evas if you want to develop applications against the only
 hardware-accelerated canvas library, or if you want to try out the
 applications under development.
 This package contains the Evas engine module for buffer rendering.

Package: libevas0-loader-eet
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libevas0, libeet
Provides: libevas-loader-eet
Description: Evas module providing the Eet loader
 Evas is an advanced canvas library, providing six engines for rendering: X11,
 OpenGL (hardware accelerated), DirectFB, the framebuffer, Microsoft Windows
 and Qtopia.
 Due to its simple API, evas can be developed with rapidly, and cleanly.
 Install evas if you want to develop applications against the only
 hardware-accelerated canvas library, or if you want to try out the
 applications under development.
 This package contains the Evas loader module for Eet.

Package: libevas0-loader-png
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libevas0, libpng12-0
Provides: libevas-loader-png
Description: Evas module providing the PNG loader
 Evas is an advanced canvas library, providing six engines for rendering: X11,
 OpenGL (hardware accelerated), DirectFB, the framebuffer, Microsoft Windows
 and Qtopia.
 Due to its simple API, evas can be developed with rapidly, and cleanly.
 Install evas if you want to develop applications against the only
 hardware-accelerated canvas library, or if you want to try out the
 applications under development.
 This package contains the Evas loader module for PNG.

Package: libevas0-loader-jpeg
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libevas0, libjpeg62
Provides: libevas-loader-jpeg
Description: Evas module providing the JPEG loader
 Evas is an advanced canvas library, providing six engines for rendering: X11,
 OpenGL (hardware accelerated), DirectFB, the framebuffer, Microsoft Windows
 and Qtopia.
 Due to its simple API, evas can be developed with rapidly, and cleanly.
 Install evas if you want to develop applications against the only
 hardware-accelerated canvas library, or if you want to try out the
 applications under development.
 This package contains the Evas loader module for JPEG.

Package: libevas0-saver-eet
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libevas0, libeet
Provides: libevas-saver-eet
Description: Evas module providing the Eet saver
 Evas is an advanced canvas library, providing six engines for rendering: X11,
 OpenGL (hardware accelerated), DirectFB, the framebuffer, Microsoft Windows
 and Qtopia.
 Due to its simple API, evas can be developed with rapidly, and cleanly.
 Install evas if you want to develop applications against the only
 hardware-accelerated canvas library, or if you want to try out the
 applications under development.
 This package contains the Evas saver module for Eet.

Package: libevas0-saver-png
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libevas0, libpng12-0
Provides: libevas-saver-png
Description: Evas module providing the PNG saver
 Evas is an advanced canvas library, providing six engines for rendering: X11,
 OpenGL (hardware accelerated), DirectFB, the framebuffer, Microsoft Windows
 and Qtopia.
 Due to its simple API, evas can be developed with rapidly, and cleanly.
 Install evas if you want to develop applications against the only
 hardware-accelerated canvas library, or if you want to try out the
 applications under development.
 This package contains the Evas saver module for PNG.

Package: libevas0-saver-jpeg
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libevas0, libjpeg62
Provides: libevas-saver-jpeg
Description: Evas module providing the JPEG saver
 Evas is an advanced canvas library, providing six engines for rendering: X11,
 OpenGL (hardware accelerated), DirectFB, the framebuffer, Microsoft Windows
 and Qtopia.
 Due to its simple API, evas can be developed with rapidly, and cleanly.
 Install evas if you want to develop applications against the only
 hardware-accelerated canvas library, or if you want to try out the
 applications under development.
 This package contains the Evas saver module for JPEG.

Package: libevas0-engines-all
Section: graphics
Architecture: any
Depends: libevas0-engine-buffer, libevas0-engine-software-generic, libevas0-engine-software-x11, libevas0-engine-software-x11-16
Provides: libevas-engines-all
Description: virtual package providing all available Evas engines
 This is a virtual package providing all available Evas engine modules.
 .
 Evas is an advanced canvas library, providing six engines for rendering: X11,
 OpenGL (hardware accelerated), DirectFB, the framebuffer, Microsoft Windows
 and Qtopia.
 .
 This new version of evas is much more cleaner, compact and portable; and has
 Ipaq support. The Ipaq version of the library is just 191Kb in size!
 .
 Due to its simple API, evas can be developed with rapidly, and cleanly.
 Install evas if you want to develop applications against the only
 hardware-accelerated canvas library, or if you want to try out the
 applications under development.

Package: libevas0-loaders-all
Section: graphics
Architecture: any
Depends: libevas0-loader-eet, libevas0-loader-jpeg, libevas0-loader-png
Provides: libevas-loaders-all
Description: virtual package providing all available Evas loaders
 This is a virtual package providing all available Evas loader modules.
 .
 Evas is an advanced canvas library, providing six engines for rendering: X11,
 OpenGL (hardware accelerated), DirectFB, the framebuffer, Microsoft Windows
 and Qtopia.
 .
 This new version of evas is much more cleaner, compact and portable; and has
 Ipaq support. The Ipaq version of the library is just 191Kb in size!
 .
 Due to its simple API, evas can be developed with rapidly, and cleanly.
 Install evas if you want to develop applications against the only
 hardware-accelerated canvas library, or if you want to try out the
 applications under development.

Package: libevas0-savers-all
Section: graphics
Architecture: any
Depends: libevas0-saver-eet, libevas0-saver-jpeg, libevas0-saver-png
Provides: libevas-savers-all
Description: virtual package providing all available Evas savers
 This is a virtual package providing all available Evas saver modules.
 .
 Evas is an advanced canvas library, providing six engines for rendering: X11,
 OpenGL (hardware accelerated), DirectFB, the framebuffer, Microsoft Windows
 and Qtopia.
 .
 This new version of evas is much more cleaner, compact and portable; and has
 Ipaq support. The Ipaq version of the library is just 191Kb in size!
 .
 Due to its simple API, evas can be developed with rapidly, and cleanly.
 Install evas if you want to develop applications against the only
 hardware-accelerated canvas library, or if you want to try out the
 applications under development.

Package: libevas0-all
Section: graphics
Architecture: any
Depends: libevas0-loaders-all, libevas0-savers-all, libevas0-engines-all
Provides: libevas-all
Description: virtual package providing all available Evas modules
 This is a virtual package providing all available Evas modules.
 .
 Evas is an advanced canvas library, providing six engines for rendering: X11,
 OpenGL (hardware accelerated), DirectFB, the framebuffer, Microsoft Windows
 and Qtopia.
 .
