=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Maemo-EFL Team <maemo-efl-devel@garage.maemo.org>
-Build-Depends: debhelper (>= 4.2.0), cdbs (>= 0.4.3-1.1), quilt, automake1.7 | automaken, libtool, libeet-dev, libfreetype6-dev, libpng12-dev | libpng-dev, libx11-dev | xlibs-dev, zlib1g, libjpeg62-dev, autotools-dev
+Build-Depends: debhelper (>= 4.2.0), cdbs (>= 0.4.3-1.1), quilt, automake1.7 | automaken, libtool, libeet0-dev (>= 0.9.10.042), libfreetype6-dev, libpng12-dev | libpng-dev, libx11-dev | xlibs-dev, zlib1g, libjpeg62-dev, autotools-dev
 Standards-Version: 3.7.2
 
 Package: libevas0
@@ -27,7 +27,7 @@
 Package: libevas0-dev
 Section: libdevel
 Architecture: any
-Depends: libevas0 (= ${Source-Version}), libfreetype6-dev, zlib1g-dev, libjpeg-dev, libeet-dev
+Depends: libevas0 (= ${Source-Version}), libfreetype6-dev, zlib1g-dev, libjpeg-dev, libeet0-dev (>= 0.9.10.042)
 Provides: libevas-dev
 Description: enlightenment advanced canvas library development files
  This package provides headers and static libraries required to develop against
@@ -48,7 +48,7 @@
 Package: libevas0-engine-software-x11
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, libevas0, libevas0-engine-software-generic
+Depends: ${shlibs:Depends}, libevas0 (= ${Source-Version}), libevas0-engine-software-generic (= ${Source-Version})
 Provides: libevas-engine-software-x11
 Description: Evas module providing the software X11 render engine
  Evas is an advanced canvas library, providing six engines for rendering: X11,
@@ -63,7 +63,7 @@
 Package: libevas0-engine-software-x11-16
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, libevas0, libevas0-engine-software-generic
+Depends: ${shlibs:Depends}, libevas0 (= ${Source-Version}), libevas0-engine-software-generic (= ${Source-Version})
 Provides: libevas-engine-software-x11-16
 Description: Evas module providing the software X11 render engine optmized for 16 bits
  Evas is an advanced canvas library, providing six engines for rendering: X11,
@@ -79,7 +79,7 @@
 Package: libevas0-engine-software-generic
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, libevas0
+Depends: ${shlibs:Depends}, libevas0 (= ${Source-Version})
 Provides: libevas-engine-software-generic
 Description: Evas module providing the generic software render engine
  Evas is an advanced canvas library, providing six engines for rendering: X11,
@@ -95,7 +95,7 @@
 Package: libevas0-engine-buffer
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, libevas0, libevas0-engine-software-generic
+Depends: ${shlibs:Depends}, libevas0 (= ${Source-Version}), libevas0-engine-software-generic (= ${Source-Version})
 Provides: libevas-engine-buffer
 Description: Evas module providing the buffer render engine
  Evas is an advanced canvas library, providing six engines for rendering: X11,
@@ -110,7 +110,7 @@
 Package: libevas0-loader-eet
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, libevas0, libeet
+Depends: ${shlibs:Depends}, libevas0 (= ${Source-Version}), libeet0 (>= 0.9.10.042)
 Provides: libevas-loader-eet
 Description: Evas module providing the Eet loader
  Evas is an advanced canvas library, providing six engines for rendering: X11,
@@ -125,7 +125,7 @@
 Package: libevas0-loader-png
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, libevas0, libpng12-0
+Depends: ${shlibs:Depends}, libevas0 (= ${Source-Version}), libpng12-0
 Provides: libevas-loader-png
 Description: Evas module providing the PNG loader
  Evas is an advanced canvas library, providing six engines for rendering: X11,
@@ -140,7 +140,7 @@
 Package: libevas0-loader-jpeg
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, libevas0, libjpeg62
+Depends: ${shlibs:Depends}, libevas0 (= ${Source-Version}), libjpeg62
 Provides: libevas-loader-jpeg
 Description: Evas module providing the JPEG loader
  Evas is an advanced canvas library, providing six engines for rendering: X11,
@@ -155,7 +155,7 @@
 Package: libevas0-saver-eet
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, libevas0, libeet
+Depends: ${shlibs:Depends}, libevas0 (= ${Source-Version}), libeet0 (>= 0.9.10.042)
 Provides: libevas-saver-eet
 Description: Evas module providing the Eet saver
  Evas is an advanced canvas library, providing six engines for rendering: X11,
@@ -170,7 +170,7 @@
 Package: libevas0-saver-png
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, libevas0, libpng12-0
+Depends: ${shlibs:Depends}, libevas0 (= ${Source-Version}), libpng12-0
 Provides: libevas-saver-png
 Description: Evas module providing the PNG saver
  Evas is an advanced canvas library, providing six engines for rendering: X11,
@@ -185,7 +185,7 @@
 Package: libevas0-saver-jpeg
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, libevas0, libjpeg62
+Depends: ${shlibs:Depends}, libevas0 (= ${Source-Version}), libjpeg62
 Provides: libevas-saver-jpeg
 Description: Evas module providing the JPEG saver
  Evas is an advanced canvas library, providing six engines for rendering: X11,
@@ -200,7 +200,7 @@
 Package: libevas0-engines-all
 Section: graphics
 Architecture: any
-Depends: libevas0-engine-buffer, libevas0-engine-software-generic, libevas0-engine-software-x11, libevas0-engine-software-x11-16
+Depends: libevas0-engine-buffer (= ${Source-Version}), libevas0-engine-software-generic (= ${Source-Version}), libevas0-engine-software-x11 (= ${Source-Version}), libevas0-engine-software-x11-16 (= ${Source-Version})
 Provides: libevas-engines-all
 Description: virtual package providing all available Evas engines
  This is a virtual package providing all available Evas engine modules.
@@ -220,7 +220,7 @@
 Package: libevas0-loaders-all
 Section: graphics
 Architecture: any
-Depends: libevas0-loader-eet, libevas0-loader-jpeg, libevas0-loader-png
+Depends: libevas0-loader-eet (= ${Source-Version}), libevas0-loader-jpeg (= ${Source-Version}), libevas0-loader-png (= ${Source-Version})
 Provides: libevas-loaders-all
 Description: virtual package providing all available Evas loaders
  This is a virtual package providing all available Evas loader modules.
@@ -240,7 +240,7 @@
 Package: libevas0-savers-all
 Section: graphics
 Architecture: any
-Depends: libevas0-saver-eet, libevas0-saver-jpeg, libevas0-saver-png
+Depends: libevas0-saver-eet (= ${Source-Version}), libevas0-saver-jpeg (= ${Source-Version}), libevas0-saver-png (= ${Source-Version})
 Provides: libevas-savers-all
 Description: virtual package providing all available Evas savers
  This is a virtual package providing all available Evas saver modules.
@@ -254,18 +254,3 @@
  .
  Due to its simple API, evas can be developed with rapidly, and cleanly.
  Install evas if you want to develop applications against the only
- hardware-accelerated canvas library, or if you want to try out the
- applications under development.
-
-Package: libevas0-all
-Section: graphics
-Architecture: any
-Depends: libevas0-loaders-all, libevas0-savers-all, libevas0-engines-all
-Provides: libevas-all
-Description: virtual package providing all available Evas modules
- This is a virtual package providing all available Evas modules.
- .
- Evas is an advanced canvas library, providing six engines for rendering: X11,
- OpenGL (hardware accelerated), DirectFB, the framebuffer, Microsoft Windows
- and Qtopia.
- .
