## evas 0.9.9.042-maemo2

=== debian/changelog ===
evas (0.9.9.042-maemo2) unstable; urgency=low

  * New release.

 -- Eduardo Lima (Etrunko) <eduardo.lima@indt.org.br>  Fri, 07 Mar 2008 10:36:24 -0300
