=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Maemo-EFL Team <maemo-efl-devel@garage.maemo.org>
-Build-Depends: debhelper (>= 4.2.0), cdbs (>= 0.4.3-1.1), quilt, automake1.7 | automaken, libtool, libeet0-dev (>= 0.9.10.042), libfreetype6-dev, libpng12-dev | libpng-dev, libx11-dev | xlibs-dev, zlib1g, libjpeg62-dev, autotools-dev
+Build-Depends: debhelper (>= 4.2.0), cdbs (>= 0.4.3-1.1), quilt, automake1.7 | automaken, libtool, libeet0-dev (>= 0.9.10.042-maemo2), libfreetype6-dev, libpng12-dev | libpng-dev, libx11-dev | xlibs-dev, zlib1g, libjpeg62-dev, autotools-dev
 Standards-Version: 3.7.2
 
 Package: libevas0
@@ -27,7 +27,7 @@
 Package: libevas0-dev
 Section: libdevel
 Architecture: any
-Depends: libevas0 (= ${Source-Version}), libfreetype6-dev, zlib1g-dev, libjpeg-dev, libeet0-dev (>= 0.9.10.042)
+Depends: libevas0 (= ${Source-Version}), libfreetype6-dev, zlib1g-dev, libjpeg-dev, libeet0-dev (>= 0.9.10.042-maemo2)
 Provides: libevas-dev
 Description: enlightenment advanced canvas library development files
  This package provides headers and static libraries required to develop against
@@ -110,7 +110,7 @@
 Package: libevas0-loader-eet
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, libevas0 (= ${Source-Version}), libeet0 (>= 0.9.10.042)
+Depends: ${shlibs:Depends}, libevas0 (= ${Source-Version}), libeet0 (>= 0.9.10.042-maemo2)
 Provides: libevas-loader-eet
 Description: Evas module providing the Eet loader
  Evas is an advanced canvas library, providing six engines for rendering: X11,
@@ -155,7 +155,7 @@
 Package: libevas0-saver-eet
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, libevas0 (= ${Source-Version}), libeet0 (>= 0.9.10.042)
+Depends: ${shlibs:Depends}, libevas0 (= ${Source-Version}), libeet0 (>= 0.9.10.042-maemo2)
 Provides: libevas-saver-eet
 Description: Evas module providing the Eet saver
  Evas is an advanced canvas library, providing six engines for rendering: X11,
@@ -253,4 +253,3 @@
  Ipaq support. The Ipaq version of the library is just 191Kb in size!
  .
  Due to its simple API, evas can be developed with rapidly, and cleanly.
- Install evas if you want to develop applications against the only
