=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

DEB_CONFIGURE_EXTRA_FLAGS := --enable-software-16-x11			\
							 --enable-software-x11				\
							 --disable-scale-smooth				\
							 --disable-pthreads					\
							 --enable-no-dither-mask			\
							 --enable-small-dither-mask			\
							 --disable-fb						\
							 --disable-xrender-x11				\
							 --disable-image-loader-tiff		\
							 --disable-image-loader-edb			\
							 --disable-image-loader-gif			\
							 --disable-image-loader-xpm			\
							 --disable-image-loader-svg			\
							 --disable-convert-yuv				\
							 --disable-convert-8-rgb-332		\
							 --disable-convert-8-rgb-666		\
							 --disable-convert-8-rgb-232		\
							 --disable-convert-8-rgb-222		\
							 --disable-convert-8-rgb-221		\
							 --disable-convert-8-rgb-121		\
							 --disable-convert-8-rgb-111		\
							 --disable-convert-16-bgr-565		\
							 --disable-convert-16-rgb-555		\
							 --disable-convert-16-rgb-444		\
							 --disable-convert-16-rgb-ipq		\
							 --disable-convert-24-rgb-888 		\
							 --disable-convert-24-bgr-888 		\
							 --disable-convert-32-rgb-8888 		\
							 --disable-convert-32-rgbx-8888 	\
							 --disable-convert-32-bgr-8888 		\
							 --disable-convert-32-bgrx-8888 	\
							 --disable-convert-32-rgb-rot-0 	\
							 --disable-convert-32-rgb-rot-180 	\
							 --disable-convert-32-rgb-rot-270 	\
							 --disable-convert-32-rgb-rot-90	\
							 --disable-sdl

CFLAGS += -I/usr/X11R6/include

DEB_BUILD_ARCH  ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

ifneq (,$(findstring armel,$(DEB_BUILD_ARCH)))
	CFLAGS += -DNDEBUG=1 -fomit-frame-pointer -O2 -ffast-math -funsafe-math-optimizations -fno-math-errno -fsingle-precision-constant
	ifneq (,$(findstring n8x0,$(DEB_BUILD_OPTIONS)))
		CFLAGS += -mfpu=vfp -mfloat-abi=softfp -mcpu=arm1136jf-s
	endif
	ifneq (,$(findstring n770,$(DEB_BUILD_OPTIONS)))
		CFLAGS += -mcpu=arm926ej-s
	endif
endif
