=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Maemo-EFL Team <maemo-efl-devel@garage.maemo.org>
-Build-Depends: debhelper (>= 4.2.0), cdbs (>= 0.4.3-1.1), quilt, automake1.7 | automaken, libtool, libeet1-dev (>= 1.0.0), libfreetype6-dev, libpng12-dev | libpng-dev, libx11-dev | xlibs-dev, zlib1g, libjpeg62-dev, autotools-dev
+Build-Depends: debhelper (>= 4.2.0), cdbs (>= 0.4.3-1.1), quilt, automake1.7 | automaken, libtool, libeet1-dev (>= 1.0.0), libfreetype6-dev, libpng12-dev | libpng-dev, libx11-dev | xlibs-dev, zlib1g, libjpeg62-dev, autotools-dev, x11proto-xext-dev, libxext-dev
 Standards-Version: 3.7.2
 #Homepage: http://www.enlightenment.org
 
@@ -290,4 +290,3 @@
 #Architecture: any
 #Depends: ${shlibs:Depends}, libevas0 (= ${Source-Version}), libtiff4
 #Provides: libevas-saver-tiff
-#Description: Evas module providing a TIFF saver
