## evas 0.9.9.042-maemo6

=== debian/changelog ===
evas (0.9.9.042-maemo6) unstable; urgency=low

  * debian/control: Added libfontconfig1-dev to libevas-dev dependencies.

 -- Eduardo Lima (Etrunko) <eduardo.lima@indt.org.br>  Mon, 14 Jul 2008 15:21:35 -0300

evas (0.9.9.042-maemo5) unstable; urgency=low

  * debian/control: Added libfontconfig1-dev to build dependency info.

 -- Eduardo Lima (Etrunko) <eduardo.lima@indt.org.br>  Mon, 14 Jul 2008 13:38:50 -0300
