=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Maemo-EFL Team <maemo-efl-devel@garage.maemo.org>
-Build-Depends: debhelper (>= 4.2.0), cdbs (>= 0.4.3-1.1), quilt, automake1.7 | automaken, libtool, libeet1-dev (>= 1.0.0), libfreetype6-dev, libpng12-dev | libpng-dev, libx11-dev | xlibs-dev, zlib1g, libjpeg62-dev, autotools-dev, x11proto-xext-dev, libxext-dev
+Build-Depends: debhelper (>= 4.2.0), cdbs (>= 0.4.3-1.1), quilt, automake1.7 | automaken, libtool, libeet1-dev (>= 1.0.0-maemo2), libfreetype6-dev, libpng12-dev | libpng-dev, libx11-dev | xlibs-dev, zlib1g, libjpeg62-dev, autotools-dev, x11proto-xext-dev, libxext-dev, libfontconfig1-dev
 Standards-Version: 3.7.2
 #Homepage: http://www.enlightenment.org
 
@@ -35,7 +35,7 @@
 Package: libevas0-dev
 Section: libdevel
 Architecture: any
-Depends: libevas0 (= ${Source-Version}), libfreetype6-dev, zlib1g-dev, libjpeg-dev, libeet1-dev (>= 1.0.0)
+Depends: ${shlibs:Depends}, libevas0 (= ${Source-Version}), libfreetype6-dev, zlib1g-dev, libjpeg-dev, libeet1-dev (>= 1.0.0-maemo2), libfontconfig1-dev
 Provides: libevas-dev
 Description: Enlightenment DR17 advanced canvas library development files
  Evas is an advanced canvas library, providing six engines for rendering: X11,
@@ -158,7 +158,7 @@
 Package: libevas0-loader-eet
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, libevas0 (= ${Source-Version}), libeet1 (>= 1.0.0)
+Depends: ${shlibs:Depends}, libevas0 (= ${Source-Version}), libeet1 (>= 1.0.0-maemo2)
 Provides: libevas-loader-eet
 Description: Evas module providing an Eet loader
  Evas is an advanced canvas library, providing six engines for rendering: X11,
@@ -249,7 +249,7 @@
 Package: libevas0-saver-eet
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, libevas0 (= ${Source-Version}), libeet1 (>= 1.0.0)
+Depends: ${shlibs:Depends}, libevas0 (= ${Source-Version}), libeet1 (>= 1.0.0-maemo2)
 Provides: libevas-saver-eet
 Description: Evas module providing an Eet saver
  Evas is an advanced canvas library, providing six engines for rendering: X11,
@@ -288,5 +288,3 @@
 #Package: libevas0-saver-tiff
 #Section: libs
 #Architecture: any
-#Depends: ${shlibs:Depends}, libevas0 (= ${Source-Version}), libtiff4
-#Provides: libevas-saver-tiff
